域名列表 接口¶
POST 域名列表¶
POST /prod-api/cdn/domain/list
获取域名列表
Body 请求参数
{
"filters": [
{
"label": "domainName",
"value": ["demo.com.cn"]
}
],
"searchHeader": {
"isActive": "0"
},
"pageSize": 10,
"pageNum": 1
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | object | 是 | - | |
| » filters | body | [object] | 否 | 搜索条件 | - |
| »» label | body | string | 否 | 参数名 | 域名/端口/套餐(别名)/源站地址/备注:domainName/port/doid/originRecord/customerRemark |
| »» value | body | [string] | 否 | 值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |
| » pageNum | body | integer(int32) | 是 | 当前页数 | - |
| » pageSize | body | integer(int32) | 是 | 每页显示条目个数 | - |
| » searchHeader | body | object | 是 | 筛选 | 筛选条件 |
| »» isActive | body | string | 是 | 0:配置中 1:活跃/部署中 2:暂停 |
详细说明¶
»» isActive: 0:配置中 1:活跃/部署中 2:暂停
返回示例
200 Response
{
"total": 1,
"rows": [
{
"id": 219,
"sslsupport": "0",
"domainName": "gbp.gloria.com.cn",
"ip": "1.1.1.1:21000",
"port": "21000",
"cNamePre": "gbp.gloria.com.cn",
"cNameSuf": ".cdnwaf.net",
"doid": "20240412279097884616",
"isActive": "0",
"customerRemark": "",
"alias": "c8f24509cb564acfbad2fbfa2eac4d",
"coreId": "215",
"waf": "0",
"stopTime": "0",
"updateTime": "1772010914",
"certEndTime": null,
"originProtocol": null,
"certStatus": null,
"certSource": null,
"isIntermediateSource": "off",
"origin": {
"httpOriginPort": 21000,
"httpsOriginPort": 21000,
"originGroupId": null,
"originType": "ipDomain",
"originRecord": "1.1.1.1",
"originProtocol": 0,
"records": null,
"originGroupName": null
}
}
],
"code": 200,
"msg": "成功"
}
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » total | integer | true | - | 总数 | - |
| » rows | [object] | true | - | - | |
| »» id | integer | false | - | id | - |
| »» sslsupport | string | false | - | 是否配置证书 | 1:配置证书 |
| »» domainName | string | false | - | 域名 | - |
| »» ip | string | false | - | 回源地址 | - |
| »» port | string | false | - | 端口 | - |
| »» cNamePre | string | false | - | cNamePre | - |
| »» cNameSuf | string | false | - | cNameSuf | - |
| »» doid | string | false | - | 套餐 | - |
| »» isActive | string | false | - | 状态 | 0:配置中 1:活跃/部署中 2:暂停 |
| »» customerRemark | string | false | - | 备注 | - |
| »» alias | string | false | - | 别名 | - |
| »» stopTime | string | false | - | 结束时间 | - |
| »» updateTime | string | false | - | 创建时间 | - |
| »» certEndTime | null | false | - | - | |
| »» origin | object | false | - | - | |
| »»» httpOriginPort | integer | true | - | HTTP | - |
| »»» httpsOriginPort | integer | true | - | HTTPS | - |
| »»» originGroupId | null | true | - | 源站组 | originType为originGroup时显示 |
| »»» originType | string | true | - | 源站配置 | ipDomain:表示IP; originGroup:表示源站组 |
| »»» originRecord | string | true | - | ip | originType为ipDomain时显示 |
| »»» originProtocol | integer | true | - | 源协议 | 0:表示HTTP; 1:表示协议跟随; 2:表示HTTPS |
| »»» records | null | true | - | 源记录 | - |
| »»» originGroupName | null | true | - | 源名称 | - |
| » code | integer | true | - | - | |
| » msg | string | true | - | - |